#ifndef __TOOLS_H__
#define __TOOLS_H__




#ifdef __USE_CMSIS
#include "LPC17xx.h"
#endif

#include <stdbool.h>
#include <stdint.h>
#include <stddef.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>

#include <cr_section_macros.h>
#include "timer.h"
#include "RITtimer.h"
#include "key.h"

extern void delay_ms( uint32_t delayInMs);
extern void delay_us( uint32_t delayInMs);
void rtc_set(void);
void ausgabe(void);
void rtc_set(void);
void alarm_set(void);		// Alarm ein
void alarm_set_rise(void); 	// Alarm aus
void sz_aus(uint16_t Jahr);
void sz_ein(uint16_t Jahr);
uint32_t tag_des_jahres(uint32_t tag,uint32_t monat,uint32_t jahr); // Jahr hier noch uint8
uint32_t ist_schaltjahr(uint32_t jahr);
extern void RIT_IRQHandler (void);

#endif
